Overview
GET
/document/versions/{id}documentGet versions by id
Fetch a record from versions by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
versions
- idstring
- documentIdstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- namestring
- descriptionstring
- pinnedOpIdstring
- pinnedSyncVersioninteger
- createdAtstring
- updatedAtstring
- isDeletedboolean
- syncVersioninteger
Example
{
"id": "string",
"documentId": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"name": "string",
"description": "string",
"pinnedOpId": "string",
"pinnedSyncVersion": 0,
"createdAt": "string",
"updatedAt": "string",
"isDeleted": true,
"syncVersion": 0
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/document/versions/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/document/versions/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();